Xerces-J API: Class ChunkyCharArray

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.utils
Class ChunkyCharArray

    java.lang.Object
      |
      +--org.apache.xerces.utils.ChunkyCharArray

public final class ChunkyCharArray
extends java.lang.Object
implements XMLEntityHandler.CharBuffer

Version:

Constructor Summary
`ChunkyCharArray(StringPool stringPool)` Constructor

Method Summary
`int` | `addString(int offset, int length)` Add a region of this buffer to the string pool.
`int` | `addSymbol(int offset, int length)` Add a region of this buffer to the `StringPool` as a symbol
`void` | `append(char ch)` Append a character to this buffer.
`void` | `append(char[] ch, int offset, int length)` Append characters to this buffer.
`void` | `append(ChunkyCharArray charArray, int offset, int length)` Append a `ChunkyCharArray` to this buffer.
`void` | `append(java.lang.String s)` Append a `String` to this buffer
`int` | `length()` Get the current length of the buffer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChunkyCharArray

    public ChunkyCharArray(StringPool stringPool)

  Constructor

Method Detail

### length

    public int length()

  Description copied from interface: XMLEntityHandler.CharBuffer
  Get the current length of the buffer. This is also the offset of the next character that is added to the buffer.
  Specified by:
    length in interface XMLEntityHandler.CharBuffer
  Tags copied from interface: XMLEntityHandler.CharBuffer
  Returns:
    The length of the buffer.

### append

    public void append(char ch)

  Description copied from interface: XMLEntityHandler.CharBuffer
  Append a character to this buffer.
  Specified by:
    append in interface XMLEntityHandler.CharBuffer
  Tags copied from interface: XMLEntityHandler.CharBuffer
  Parameters:
    `ch` - The character.

### append

    public void append(java.lang.String s)

  Append a `String` to this buffer
  Parameters:
    `s` - the string to append.

### append

    public void append(char[] ch,
                       int offset,
                       int length)

  Description copied from interface: XMLEntityHandler.CharBuffer
  Append characters to this buffer.
  Specified by:
    append in interface XMLEntityHandler.CharBuffer
  Tags copied from interface: XMLEntityHandler.CharBuffer
  Parameters:
    `chars` - The char array containing the characters.
    `offset` - The offset within the char array of the first character to append.
    `length` - The number of characters to append.

### append

    public void append(ChunkyCharArray charArray,
                       int offset,
                       int length)

  Append a `ChunkyCharArray` to this buffer.
  Parameters:
    `charArray` - buffer to be appended.
    `offset` - The offset within charArray of the first character.
    `length` - The number of characters to append.

### addString

    public int addString(int offset,
                         int length)

  Description copied from interface: XMLEntityHandler.CharBuffer
  Add a region of this buffer to the string pool.
  Specified by:
    addString in interface XMLEntityHandler.CharBuffer
  Tags copied from interface: XMLEntityHandler.CharBuffer
  Parameters:
    `offset` - The offset within this buffer of the first character of the string.
    `length` - The number of characters in the string.
  Returns:
    The `StringPool` handle of the string.

### addSymbol

    public int addSymbol(int offset,
                         int length)

  Add a region of this buffer to the `StringPool` as a symbol
  Parameters:
    `offset` - The offset within this buffer of the first character of the string
    `length` - The number of characters in the symbol

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.